commit 0aed1f1b007a993533670cd7fe2cc5193f8bd017
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon Oct 28 18:37:45 2019 +0100

    All tests now come with a .mk file, so they can be included more easily for each module.

diff --git a/modules/DiWheelDrive_1-1/Makefile b/modules/DiWheelDrive_1-1/Makefile
index 55d4489..0accbe7 100644
--- a/modules/DiWheelDrive_1-1/Makefile
+++ b/modules/DiWheelDrive_1-1/Makefile
@@ -154,17 +154,17 @@ include $(AMIROLLD)/drivers/TPS6211x/v1/alld_TPS6211x.mk
 include $(AMIROLLD)/drivers/VCNL4020/v1/alld_VCNL4020.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/A3906_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/HMC5883L_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/L3G4200D_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LIS331DLH_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LTC4412_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/A3906_v1/aos_test_A3906.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/HMC5883L_v1/aos_test_HMC5883L.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1/aos_test_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/L3G4200D_v1/aos_test_L3G4200D.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LIS331DLH_v1/aos_test_LIS331DLH.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LTC4412_v1/aos_test_LTC4412.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/DiWheelDrive_1-2/Makefile b/modules/DiWheelDrive_1-2/Makefile
index d99a4b9..813ed05 100644
--- a/modules/DiWheelDrive_1-2/Makefile
+++ b/modules/DiWheelDrive_1-2/Makefile
@@ -152,14 +152,14 @@ include $(AMIROLLD)/drivers/TPS6211x/v1/alld_TPS6211x.mk
 include $(AMIROLLD)/drivers/VCNL4020/v1/alld_VCNL4020.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/A3906_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LTC4412_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/A3906_v1/aos_test_A3906.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1/aos_test_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LTC4412_v1/aos_test_LTC4412.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/LightRing_1-0/Makefile b/modules/LightRing_1-0/Makefile
index b36b91c..800f43d 100644
--- a/modules/LightRing_1-0/Makefile
+++ b/modules/LightRing_1-0/Makefile
@@ -146,9 +146,9 @@ include $(AMIROLLD)/drivers/TLC5947/v1/alld_TLC5947.mk
 include $(AMIROLLD)/drivers/TPS20xxB/v1/alld_TPS20xxB.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TLC5947_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS20xxB_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TLC5947_v1/aos_test_TLC5947.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS20xxB_v1/aos_test_TPS20xxB.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/LightRing_1-2/Makefile b/modules/LightRing_1-2/Makefile
index 0e2bd0a..34c3d88 100644
--- a/modules/LightRing_1-2/Makefile
+++ b/modules/LightRing_1-2/Makefile
@@ -149,12 +149,12 @@ include $(AMIROLLD)/drivers/TLC5947/v1/alld_TLC5947.mk
 include $(AMIROLLD)/drivers/DW1000/v2/alld_DW1000.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/MIC9404x_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TLC5947_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/DW1000_v2
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1/aos_test_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/MIC9404x_v1/aos_test_MIC9404x.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TLC5947_v1/aos_test_TLC5947.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/DW1000_v2/aos_test_DW1000.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/NUCLEO-F103RB/Makefile b/modules/NUCLEO-F103RB/Makefile
index 480c824..904f2cb 100644
--- a/modules/NUCLEO-F103RB/Makefile
+++ b/modules/NUCLEO-F103RB/Makefile
@@ -146,9 +146,9 @@ include $(AMIROLLD)/drivers/button/v1/alld_button.mk
 include $(AMIROLLD)/drivers/DW1000/v1/alld_DW1000.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/button_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1\
-                    $(AMIROOS_TEST_DIR)periphery-lld/DW1000_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/button_v1/aos_test_button.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/DW1000_v1/aos_test_DW1000.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/NUCLEO-F401RE/Makefile b/modules/NUCLEO-F401RE/Makefile
index 04d09a0..a21eb75 100644
--- a/modules/NUCLEO-F401RE/Makefile
+++ b/modules/NUCLEO-F401RE/Makefile
@@ -145,7 +145,7 @@ include $(AMIROLLD)/drivers/LED/v1/alld_LED.mk
 include $(AMIROLLD)/drivers/button/v1/alld_button.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/LED_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/NUCLEO-F767ZI/Makefile b/modules/NUCLEO-F767ZI/Makefile
index e9bf222..c00cef9 100644
--- a/modules/NUCLEO-F767ZI/Makefile
+++ b/modules/NUCLEO-F767ZI/Makefile
@@ -143,8 +143,9 @@ include $(CHIBIOS)/os/common/ports/ARMCMx/compilers/GCC/mk/port_v7m.mk
 # Periphery LLDs.
 include $(AMIROLLD)/drivers/LED/v1/alld_LED.mk
 include $(AMIROLLD)/drivers/button/v1/alld_button.mk
+
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/LED_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/NUCLEO-L476RG/Makefile b/modules/NUCLEO-L476RG/Makefile
index a989b54..d7aaa5f 100644
--- a/modules/NUCLEO-L476RG/Makefile
+++ b/modules/NUCLEO-L476RG/Makefile
@@ -146,9 +146,9 @@ include $(AMIROLLD)/drivers/button/v1/alld_button.mk
 include $(AMIROLLD)/drivers/MPU6050/v1/alld_MPU6050.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/button_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/MPU6050_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/button_v1/aos_test_button.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/MPU6050_v1/aos_test_MPU6050.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/PowerManagement_1-1/Makefile b/modules/PowerManagement_1-1/Makefile
index 462fea7..6d62524 100644
--- a/modules/PowerManagement_1-1/Makefile
+++ b/modules/PowerManagement_1-1/Makefile
@@ -155,21 +155,21 @@ include $(AMIROLLD)/drivers/TPS6211x/v1/alld_TPS6211x.mk
 include $(AMIROLLD)/drivers/VCNL4020/v1/alld_VCNL4020.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)lld/adc \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT42QT1050_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq241xx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1_bq241xx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/MPR121_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCAL6524_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PKxxxExxx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1_INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1
+include $(AMIROOS_TEST_DIR)lld/adc/aos_test_adc.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT42QT1050_v1/aos_test_AT42QT1050.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq241xx_v1/aos_test_bq241xx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1/aos_test_bq27500.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1_bq241xx_v1/aos_test_bq27500_bq241xx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1/aos_test_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/MPR121_v1/aos_test_MPR121.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCAL6524_v1/aos_test_PCAL6524.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PKxxxExxx_v1/aos_test_PKxxxExxx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1_INA219_v1/aos_test_TPS6211x_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/PowerManagement_1-2/Makefile b/modules/PowerManagement_1-2/Makefile
index 462fea7..6d62524 100644
--- a/modules/PowerManagement_1-2/Makefile
+++ b/modules/PowerManagement_1-2/Makefile
@@ -155,21 +155,21 @@ include $(AMIROLLD)/drivers/TPS6211x/v1/alld_TPS6211x.mk
 include $(AMIROLLD)/drivers/VCNL4020/v1/alld_VCNL4020.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)lld/adc \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/AT42QT1050_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq241xx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1_bq241xx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/LED_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/MPR121_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PCAL6524_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/PKxxxExxx_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1_INA219_v1 \
-                    $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1
+include $(AMIROOS_TEST_DIR)lld/adc/aos_test_adc.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/AT42QT1050_v1/aos_test_AT42QT1050.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq241xx_v1/aos_test_bq241xx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1/aos_test_bq27500.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/bq27500_v1_bq241xx_v1/aos_test_bq27500_bq241xx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/INA219_v1/aos_test_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/MPR121_v1/aos_test_MPR121.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PCAL6524_v1/aos_test_PCAL6524.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/PKxxxExxx_v1/aos_test_PKxxxExxx.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/TPS6211x_v1_INA219_v1/aos_test_TPS6211x_INA219.mk
+include $(AMIROOS_TEST_DIR)periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/modules/STM32F407G-DISC1/Makefile b/modules/STM32F407G-DISC1/Makefile
index 41bef3c..93d5659 100644
--- a/modules/STM32F407G-DISC1/Makefile
+++ b/modules/STM32F407G-DISC1/Makefile
@@ -145,7 +145,7 @@ include $(AMIROLLD)/drivers/LED/v1/alld_LED.mk
 include $(AMIROLLD)/drivers/button/v1/alld_button.mk
 
 # Tests.
-AMIROOS_TEST_INC += $(AMIROOS_TEST_DIR)periphery-lld/LED_v1
+include $(AMIROOS_TEST_DIR)periphery-lld/LED_v1/aos_test_LED.mk
 
 # Module specific inclusion directories
 MODULE_INC = $(MODULE_DIR) \
diff --git a/test/lld/adc/aos_test_adc.mk b/test/lld/adc/aos_test_adc.mk
new file mode 100644
index 0000000..a366900
--- /dev/null
+++ b/test/lld/adc/aos_test_adc.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_ADC_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_ADC_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_ADC_DIR)aos_test_adc.c
+
diff --git a/test/periphery-lld/A3906_v1/aos_test_A3906.mk b/test/periphery-lld/A3906_v1/aos_test_A3906.mk
new file mode 100644
index 0000000..05cddf2
--- /dev/null
+++ b/test/periphery-lld/A3906_v1/aos_test_A3906.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_A3906_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_A3906_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_A3906_DIR)aos_test_A3906.c
+
diff --git a/test/periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk b/test/periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
new file mode 100644
index 0000000..a0762bf
--- /dev/null
+++ b/test/periphery-lld/AT24C01B_v1/aos_test_AT24C01B.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_AT24C01B_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_AT24C01B_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_AT24C01B_DIR)aos_test_AT24C01B.c
+
diff --git a/test/periphery-lld/AT42QT1050_v1/aos_test_AT42QT1050.mk b/test/periphery-lld/AT42QT1050_v1/aos_test_AT42QT1050.mk
new file mode 100644
index 0000000..1ea3372
--- /dev/null
+++ b/test/periphery-lld/AT42QT1050_v1/aos_test_AT42QT1050.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_AT42QT1050_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_AT42QT1050_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_AT42QT1050_DIR)aos_test_AT42QT1050.c
+
diff --git a/test/periphery-lld/DW1000_v1/aos_test_DW1000.mk b/test/periphery-lld/DW1000_v1/aos_test_DW1000.mk
new file mode 100644
index 0000000..9311a38
--- /dev/null
+++ b/test/periphery-lld/DW1000_v1/aos_test_DW1000.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_DW1000_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_DW1000_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_DW1000_DIR)aos_test_DW1000.c
+
diff --git a/test/periphery-lld/DW1000_v2/aos_test_DW1000.mk b/test/periphery-lld/DW1000_v2/aos_test_DW1000.mk
new file mode 100644
index 0000000..9311a38
--- /dev/null
+++ b/test/periphery-lld/DW1000_v2/aos_test_DW1000.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_DW1000_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_DW1000_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_DW1000_DIR)aos_test_DW1000.c
+
diff --git a/test/periphery-lld/HMC5883L_v1/aos_test_HMC5883L.mk b/test/periphery-lld/HMC5883L_v1/aos_test_HMC5883L.mk
new file mode 100644
index 0000000..887965e
--- /dev/null
+++ b/test/periphery-lld/HMC5883L_v1/aos_test_HMC5883L.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_HMC5883L_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_HMC5883L_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_HMC5883L_DIR)aos_test_HMC5883L.c
+
diff --git a/test/periphery-lld/INA219_v1/aos_test_INA219.mk b/test/periphery-lld/INA219_v1/aos_test_INA219.mk
new file mode 100644
index 0000000..86d2d9b
--- /dev/null
+++ b/test/periphery-lld/INA219_v1/aos_test_INA219.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_INA219_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_INA219_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_INA219_DIR)aos_test_INA219.c
+
diff --git a/test/periphery-lld/L3G4200D_v1/aos_test_L3G4200D.mk b/test/periphery-lld/L3G4200D_v1/aos_test_L3G4200D.mk
new file mode 100644
index 0000000..f9c4f92
--- /dev/null
+++ b/test/periphery-lld/L3G4200D_v1/aos_test_L3G4200D.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_L3G4200D_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_L3G4200D_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_L3G4200D_DIR)aos_test_L3G4200D.c
+
diff --git a/test/periphery-lld/LED_v1/aos_test_LED.mk b/test/periphery-lld/LED_v1/aos_test_LED.mk
new file mode 100644
index 0000000..5eec4ba
--- /dev/null
+++ b/test/periphery-lld/LED_v1/aos_test_LED.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_LED_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_LED_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_LED_DIR)aos_test_LED.c
+
diff --git a/test/periphery-lld/LIS331DLH_v1/aos_test_LIS331DLH.mk b/test/periphery-lld/LIS331DLH_v1/aos_test_LIS331DLH.mk
new file mode 100644
index 0000000..df39213
--- /dev/null
+++ b/test/periphery-lld/LIS331DLH_v1/aos_test_LIS331DLH.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_LIS331DLH_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_LIS331DLH_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_LIS331DLH_DIR)aos_test_LIS331DLH.c
+
diff --git a/test/periphery-lld/LTC4412_v1/aos_test_LTC4412.mk b/test/periphery-lld/LTC4412_v1/aos_test_LTC4412.mk
new file mode 100644
index 0000000..94630b6
--- /dev/null
+++ b/test/periphery-lld/LTC4412_v1/aos_test_LTC4412.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_LTC4412_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_LTC4412_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_LTC4412_DIR)aos_test_LTC4412.c
+
diff --git a/test/periphery-lld/MIC9404x_v1/aos_test_MIC9404x.mk b/test/periphery-lld/MIC9404x_v1/aos_test_MIC9404x.mk
new file mode 100644
index 0000000..2fd86a3
--- /dev/null
+++ b/test/periphery-lld/MIC9404x_v1/aos_test_MIC9404x.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_MIC9404x_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_MIC9404x_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_MIC9404x_DIR)aos_test_MIC9404x.c
+
diff --git a/test/periphery-lld/MPR121_v1/aos_test_MPR121.mk b/test/periphery-lld/MPR121_v1/aos_test_MPR121.mk
new file mode 100644
index 0000000..58d6ade
--- /dev/null
+++ b/test/periphery-lld/MPR121_v1/aos_test_MPR121.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_MPR121_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_MPR121_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_MPR121_DIR)aos_test_MPR121.c
+
diff --git a/test/periphery-lld/MPU6050_v1/aos_test_MPU6050.mk b/test/periphery-lld/MPU6050_v1/aos_test_MPU6050.mk
new file mode 100644
index 0000000..adfe92b
--- /dev/null
+++ b/test/periphery-lld/MPU6050_v1/aos_test_MPU6050.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_MPU6050_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_MPU6050_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_MPU6050_DIR)aos_test_MPU6050.c
+
diff --git a/test/periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk b/test/periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
new file mode 100644
index 0000000..5148abe
--- /dev/null
+++ b/test/periphery-lld/PCA9544A_v1/aos_test_PCA9544A.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_PCA9544A_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_PCA9544A_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_PCA9544A_DIR)aos_test_PCA9544A.c
+
diff --git a/test/periphery-lld/PCAL6524_v1/aos_test_PCAL6524.mk b/test/periphery-lld/PCAL6524_v1/aos_test_PCAL6524.mk
new file mode 100644
index 0000000..ce146bf
--- /dev/null
+++ b/test/periphery-lld/PCAL6524_v1/aos_test_PCAL6524.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_PCAL6524_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_PCAL6524_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_PCAL6524_DIR)aos_test_PCAL6524.c
+
diff --git a/test/periphery-lld/PKxxxExxx_v1/aos_test_PKxxxExxx.mk b/test/periphery-lld/PKxxxExxx_v1/aos_test_PKxxxExxx.mk
new file mode 100644
index 0000000..857e204
--- /dev/null
+++ b/test/periphery-lld/PKxxxExxx_v1/aos_test_PKxxxExxx.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_PKxxxExxx_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_PKxxxExxx_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_PKxxxExxx_DIR)aos_test_PKxxxExxx.c
+
diff --git a/test/periphery-lld/TLC5947_v1/aos_test_TLC5947.mk b/test/periphery-lld/TLC5947_v1/aos_test_TLC5947.mk
new file mode 100644
index 0000000..c736cf5
--- /dev/null
+++ b/test/periphery-lld/TLC5947_v1/aos_test_TLC5947.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_TLC5947_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_TLC5947_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_TLC5947_DIR)aos_test_TLC5947.c
+
diff --git a/test/periphery-lld/TPS20xxB_v1/aos_test_TPS20xxB.mk b/test/periphery-lld/TPS20xxB_v1/aos_test_TPS20xxB.mk
new file mode 100644
index 0000000..9c7c287
--- /dev/null
+++ b/test/periphery-lld/TPS20xxB_v1/aos_test_TPS20xxB.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_TPS20xxB_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_TPS20xxB_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_TPS20xxB_DIR)aos_test_TPS20xxB.c
+
diff --git a/test/periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk b/test/periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
new file mode 100644
index 0000000..2f7d637
--- /dev/null
+++ b/test/periphery-lld/TPS6211x_v1/aos_test_TPS6211x.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_TPS6211x_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_TPS6211x_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_TPS6211x_DIR)aos_test_TPS6211x.c
+
diff --git a/test/periphery-lld/TPS6211x_v1_INA219_v1/aos_test_TPS6211x_INA219.mk b/test/periphery-lld/TPS6211x_v1_INA219_v1/aos_test_TPS6211x_INA219.mk
new file mode 100644
index 0000000..f21b955
--- /dev/null
+++ b/test/periphery-lld/TPS6211x_v1_INA219_v1/aos_test_TPS6211x_INA219.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_TPS6211x_INA219_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_TPS6211x_INA219_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_TPS6211x_INA219_DIR)aos_test_TPS6211x_INA219.c
+
diff --git a/test/periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk b/test/periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
new file mode 100644
index 0000000..1fbd770
--- /dev/null
+++ b/test/periphery-lld/VCNL4020_v1/aos_test_VCNL4020.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_VCNL4020_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_VCNL4020_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_VCNL4020_DIR)aos_test_VCNL4020.c
+
diff --git a/test/periphery-lld/bq241xx_v1/aos_test_bq241xx.mk b/test/periphery-lld/bq241xx_v1/aos_test_bq241xx.mk
new file mode 100644
index 0000000..57e8888
--- /dev/null
+++ b/test/periphery-lld/bq241xx_v1/aos_test_bq241xx.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_bq241xx_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_bq241xx_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_bq241xx_DIR)aos_test_bq241xx.c
+
diff --git a/test/periphery-lld/bq27500_v1/aos_test_bq27500.mk b/test/periphery-lld/bq27500_v1/aos_test_bq27500.mk
new file mode 100644
index 0000000..1732b01
--- /dev/null
+++ b/test/periphery-lld/bq27500_v1/aos_test_bq27500.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_bq27500_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_bq27500_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_bq27500_DIR)aos_test_bq27500.c
+
diff --git a/test/periphery-lld/bq27500_v1_bq241xx_v1/aos_test_bq27500_bq241xx.mk b/test/periphery-lld/bq27500_v1_bq241xx_v1/aos_test_bq27500_bq241xx.mk
new file mode 100644
index 0000000..6ec91a5
--- /dev/null
+++ b/test/periphery-lld/bq27500_v1_bq241xx_v1/aos_test_bq27500_bq241xx.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_bq27500_bq241xx_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_bq27500_bq241xx_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_bq27500_bq241xx_DIR)aos_test_bq27500_bq241xx.c
+
diff --git a/test/periphery-lld/button_v1/aos_test_button.mk b/test/periphery-lld/button_v1/aos_test_button.mk
new file mode 100644
index 0000000..bc00801
--- /dev/null
+++ b/test/periphery-lld/button_v1/aos_test_button.mk
@@ -0,0 +1,34 @@
+################################################################################
+# AMiRo-OS is an operating system designed for the Autonomous Mini Robot       #
+# (AMiRo) platform.                                                            #
+# Copyright (C) 2016..2019  Thomas Schöpping et al.                            #
+#                                                                              #
+# This program is free software: you can redistribute it and/or modify         #
+# it under the terms of the GNU General Public License as published by         #
+# the Free Software Foundation, either version 3 of the License, or            #
+# (at your option) any later version.                                          #
+#                                                                              #
+# This program is distributed in the hope that it will be useful,              #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                #
+# GNU General Public License for more details.                                 #
+#                                                                              #
+# You should have received a copy of the GNU General Public License            #
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.        #
+#                                                                              #
+# This research/work was supported by the Cluster of Excellence Cognitive      #
+# Interaction Technology 'CITEC' (EXC 277) at Bielefeld University, which is   #
+# funded by the German Research Foundation (DFG).                              #
+################################################################################
+
+
+
+# path to this directory
+AMIROOS_TEST_BUTTON_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
+
+# include path
+AMIROOS_TEST_INC += $(AMIROOS_TEST_BUTTON_DIR)
+
+# C sources
+AMIROOS_TEST_CSRC += $(AMIROOS_TEST_BUTTON_DIR)aos_test_button.c
+
diff --git a/test/test.mk b/test/test.mk
index 0b0ebe9..59f5825 100644
--- a/test/test.mk
+++ b/test/test.mk
@@ -27,8 +27,8 @@
 AMIROOS_TEST_DIR := $(dir $(lastword $(MAKEFILE_LIST)))
 
 # include path
-AMIROOS_TEST_INC =
+AMIROOS_TEST_INC +=
 
 # C sources
-AMIROOS_TEST_CSRC = $(wildcard $(AMIROOS_TEST_INC:%=%/*.[Cc]))
+AMIROOS_TEST_CSRC +=
 
